<h1 class="mt-3">Pipes <small>Angular</small>
</h1>
<hr>
<div class="row">
    <div class="col">
        <table class="table">
            <thead class="thead-dark">
                <tr>
                    <th>Variable</th>
                    <th>Pipes</th>
                    <th>Salida</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>{{nombre}}</td>
                    <td>appercase</td>
                    <td>{{nombre | uppercase}}</td>
                </tr>
                <tr>
                    <td>{{nombre}}</td>
                    <td>Nombre Capitalizado</td>
                    <td>{{nombre2 | capitalizado}}</td>
                </tr>
                <tr>
                    <td>{{nombre}}</td>
                    <td>lowercase</td>
                    <td>{{nombre | lowercase}}</td>
                </tr>
                <tr>
                    <td>{{nombre}}</td>
                    <td>slice:3</td>
                    <td>{{nombre | slice:3}}</td>
                </tr>
                <tr>
                    <td>{{nombre}}</td>
                    <td>slice:0:3</td>
                    <td>{{nombre | slice:0:3}}</td>
                </tr>
                <tr>
                    <td>{{arreglo}}</td>
                    <td>slice:1:5</td>
                    <td>{{ arreglo | slice:1:5}}</td>
                </tr>
                <tr>
                    <td>{{PI}}</td>
                    <td>number:'3.0-0'</td>
                    <td>{{ PI | number:'3.0-0'}}</td>
                </tr>
                <tr>
                    <td>{{PI}}</td>
                    <td>number:'.0-2'</td>
                    <td>{{ PI | number:'.0-2'}}</td>
                </tr>
                <tr>
                    <td>{{porcentage}}</td>
                    <td>percent</td>
                    <td>{{ porcentage| percent}}</td>
                </tr>
                <tr>
                    <td>{{porcentage}}</td>
                    <td>percent:'2.2-2'</td>
                    <td>{{ porcentage| percent:'2.2-2'}}</td>
                </tr>
                <tr>
                    <td>{{salario}}</td>
                    <td>currency</td>
                    <td>{{ salario| currency}}</td>
                </tr>
                <tr>
                    <td>{{salario}}</td>
                    <td>currency:'EUR'</td>
                    <td>{{ salario| currency:'EUR'}}</td>
                </tr>
                <tr>
                    <td>{{salario}}</td>
                    <td>currency:'CAD'</td>
                    <td>{{ salario| currency:'CAD':'symbol':'.0-0'}}</td>
                </tr>
                <tr>
                    <td>{{valorPromesa}}</td>
                    <td>asycn</td>
                    <td>{{ valorPromesa|async}}</td>
                </tr>
                <tr>
                    <td>{{fecha}}</td>
                    <td>fecha</td>
                    <td>{{ fecha| date}}</td>
                </tr>
                <tr>
                    <td>{{fecha}}</td>
                    <td>Date:'medium'</td>
                    <td>{{ fecha| date:'medium'}}</td>
                </tr>
                <tr>
                    <td>{{fecha}}</td>
                    <td>Date:'short'</td>
                    <td>{{ fecha| date:'short'}}</td>
                </tr>
                <tr>
                    <td>{{fecha}}</td>
                    <td>Date:'MMM - dd'</td>
                    <td>{{ fecha| date:'MMM - dd'}}</td>
                </tr>
                <tr>
                    <td>{{fecha}}</td>
                    <td>date:date:'MMMM - dd':'':'en'</td>
                    <td>{{ fecha | date:'MMMM - dd':'':'es'}}</td>
                </tr>
                <tr>
                    <td>{{fecha}}</td>
                    <td>date:date:'MMMM - dd':'':'fr'</td>
                    <td>{{ fecha | date:'MMMM - dd':'':'fr'}}</td>
                </tr>
                <tr>
                    <td>{{fecha}}</td>
                    <td>date:date:'MMMM - dd':'':idioma</td>
                    <td>{{ fecha | date:'MMMM - dd':'':idioma}}
                        <button (click)="idioma='es'" class="mr-1 btn btn-primary">Español</button>
                        <button (click)="idioma='en'" class="mr-1 btn btn-secondary">Ingles</button>
                        <button (click)="idioma='fr'" class="mr-1 btn btn-success">Frances</button>
                    </td>
                </tr>
                <tr>
                    <td>{{nombre}}</td>
                    <td>contrasena: {{activar}}
                        <br>
                        <button (click)="activar = !activar" class="btn btn-primary">Activar/Desactivar</button>
                    </td>
                    <td>{{ nombre | contrasena:activar}}</td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
<h3>slice <small>slice:1:4</small></h3>
<hr>
<ul class="list-group ">
    <li *ngFor="let personajes of personajes | slice:1:4 " class="list-group-item ">{{personajes}}</li>
</ul>
<h3>JSON</h3>
<hr>
<div class="row mb-5 ">
    <div class="col ">
        <pre>{{ persona | json }}</pre>
    </div>
</div>lass="row mb-5 ">
<div class="col ">
    <pre>{{ persona | json }}</pre>
</div>
<h3 class="mt-4 ">Domseguro</h3>
<hr>
<div class="row mb-5 ">
    <div class="col ">
        <iframe width="560 " height="315 " [src]="videoUrl | domseguro " frameborder="0 " allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture " allowfullscreen></iframe>
    </div>
</div>